Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Class DefaultIssue

    java.lang.Object
      com.bea.control.DefaultIssue

All Implemented Interfaces:
  Issue

    public class DefaultIssue

extends Object
implements Issue

The DefaultIssue class provides a simple implementation of the Issue interface. Use this class as an alternative to implementing the Issue interface in your own class. Use this class for writing custom validators for controls.
Note: The DefaultIssue class is provided as part of the WebLogic Workshop Control Development Kit. The Control Development Kit is for users who are creating advanced controls. It is available in your BEA installation in the following directory: BEA_HOME\weblogic81\samples\workshop\ControlDevKit\

Constructor Summary
`DefaultIssue(String description)` Creates a new DefaultIssue instance as an error, using the specified description.
`DefaultIssue(String description, String prescription)` Creates a new DefaultIssue instance as an error, using the specified description and prescription.
`DefaultIssue(String description, String prescription, boolean isError)` Creates a new DefaultIssue instance using the specified description, prescription, and specifying whether the issue is an error.

Method Summary
`String` | `getDescription()` Returns to the IDE a description of this issue.
`String` | `getPrescription()` Returns to the IDE a prescription for handling this issue.
`boolean` | `isError()` Notifies the IDE whether or not this issue is an error.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultIssue

    public DefaultIssue(String description,
                        String prescription,
                        boolean isError)

  Creates a new DefaultIssue instance using the specified description, prescription, and specifying whether the issue is an error.

  Parameters:
    `description` - A description of the current issue.
    `prescription` - A message describing how this issue can be solved or avoided.
    `isError` - `true` to indicate that this issue is an error; `false` to indicate it isn't.

### DefaultIssue

    public DefaultIssue(String description,
                        String prescription)

  Creates a new DefaultIssue instance as an error, using the specified description and prescription.

  Parameters:
    `description` - A description of the current issue.
    `prescription` - A message describing how this issue can be solved or avoided.

### DefaultIssue

    public DefaultIssue(String description)

  Creates a new DefaultIssue instance as an error, using the specified description.

  Parameters:
    `description` - A description of the current issue.

Method Detail

### isError

    public boolean isError()

  Notifies the IDE whether or not this issue is an error. This is the value specified in this instance's constructor.

  Specified by:
    `isError` in interface `Issue`
  Returns:
    `true` if this issue is an error; `false` if it isn't.

### getDescription

    public String getDescription()

  Returns to the IDE a description of this issue. This is the value specified in this instance's constructor.

  Specified by:
    `getDescription` in interface `Issue`
  Returns:
    A description of the current issue.

### getPrescription

    public String getPrescription()

  Returns to the IDE a prescription for handling this issue. This is the value specified in this instance's constructor.

  Specified by:
    `getPrescription` in interface `Issue`
  Returns:
    A message describing how this issue can be solved or avoided.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD